gsm0610_lpc.c File Reference
`#include <assert.h>`
`#include <inttypes.h>`
`#include "floating_fudge.h"`
`#include <stdlib.h>`
`#include <memory.h>`
`#include "spandsp/telephony.h"`
`#include "spandsp/fast_convert.h"`
`#include "spandsp/bitstream.h"`
`#include "spandsp/bit_operations.h"`
`#include "spandsp/saturated.h"`
`#include "spandsp/vector_int.h"`
`#include "spandsp/gsm0610.h"`
`#include "gsm0610_local.h"`

## Macros

#define | STEP(A, B, MAC, MIC)

## Functions

int16_t | gsm0610_norm (int32_t x)
void | gsm0610_lpc_analysis (gsm0610_state_t *s, int16_t amp[160], int16_t LARc[8])

## Macro Definition Documentation

## STEP

#define STEP | ( |  | A,
|  |  | B,
|  |  | MAC,
|  |  | MIC )

Value:
temp = saturated_mul16(A, *LAR); \
temp = saturated_add16(temp, B); \
temp = saturated_add16(temp, 256); \
temp >>= 9; \
*LAR = (int16_t) ((temp > MAC) \
? \
MAC - MIC \
: \
((temp < MIC) ? 0 : temp - MIC)); \
LAR++;